Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema Class Reference

`#include <OCollections.h>`

Inheritance diagram for Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema:
[legend]
Collaboration diagram for Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema:
[legend]

## Public Types
typedef OCollectionsSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CollectionsSchemaInfo >
typedef CollectionsSchemaInfo | info_type
typedef OSchema< CollectionsSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OCollectionsSchema ()
| OCollectionsSchema (Alembic::AbcCoreAbstract::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OCollectionsSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
| OCollectionsSchema (const OCollectionsSchema &iCopy)
| Copy constructor.
Abc::OStringArrayProperty | createCollection (const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
size_t | getNumCollections ()
| Returns the number of collections that we have.
Abc::OStringArrayProperty | getCollection (size_t i)
| Return a collection by index.
Abc::OStringArrayProperty | getCollection (const std::string &iName)
| Return a collection by name.
bool | valid () const
| Returns whether this function set is valid.
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CollectionsSchemaInfo >
| OSchema ()
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Attributes
std::vector< Abc::OStringArrayProperty > | m_collections
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CollectionsSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Detailed Description

Definition at line 48 of file OCollections.h.

## Member Typedef Documentation

## ◆ this_type

typedef OCollectionsSchema Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::this_type

Definition at line 53 of file OCollections.h.

## Constructor & Destructor Documentation

## ◆ OCollectionsSchema() [1/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::OCollectionsSchema | ( |  | ) |
| inline

Definition at line 55 of file OCollections.h.

Referenced by OCollectionsSchema().

Here is the caller graph for this function:

## ◆ OCollectionsSchema() [2/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::OCollectionsSchema | ( | Alembic::AbcCoreAbstract::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument(),
|  | const Abc::Argument & | iArg3 = Abc::Argument() )

This constructor creates a new collections writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OCollections (.collection) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OCollectionsSchema() [3/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::OCollectionsSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

This constructor creates a new collections writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OCollections (.collection) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OCollectionsSchema() [4/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::OCollectionsSchema | ( | const OCollectionsSchema & | iCopy | ) |
| inline

Copy constructor.

Definition at line 84 of file OCollections.h.

References OCollectionsSchema(), and Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CollectionsSchemaInfo >::OSchema().

Here is the call graph for this function:

## Member Function Documentation

## ◆ createCollection()

Abc::OStringArrayProperty Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::createCollection | ( | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

Create a named collection, if the collection already exists return it.

## ◆ getCollection() [1/2]

Abc::OStringArrayProperty Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::getCollection | ( | const std::string & | iName | ) |

Return a collection by name.

## ◆ getCollection() [2/2]

Abc::OStringArrayProperty Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::getCollection | ( | size_t | i | ) |

Return a collection by index.

## ◆ getNumCollections()

size_t Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::getNumCollections | ( |  | ) |
| inline

Returns the number of collections that we have.

Definition at line 99 of file OCollections.h.

References m_collections.

## ◆ valid()

bool Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::valid | ( |  | ) | const
| inline

Returns whether this function set is valid.

Definition at line 108 of file OCollections.h.

## Member Data Documentation

## ◆ m_collections

std::vector< Abc::OStringArrayProperty > Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::m_collections
| protected

Definition at line 114 of file OCollections.h.

Referenced by getNumCollections().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCollection/OCollections.h